
package org.mule.modules.salesforce.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.modules.salesforce.SalesforceModule;


/**
 * A <code>SalesforceModuleCapabilitiesAdapter</code> is a wrapper around {@link SalesforceModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class SalesforceModuleCapabilitiesAdapter
    extends SalesforceModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        if (capability == Capability.CONNECTION_MANAGEMENT_CAPABLE) {
            return true;
        }
        return false;
    }

}
